#
# spec file for package icewm-lite (Version 1.0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake gpp gtk libgpp libjpeg libpng libtiff libtool libungif xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gtk gzip kbd less libgpp libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         icewm-lite
Copyright:    LGPL
Group:        X11/Window Managers
Provides:	icewm-bin
Conflicts:	icewm-default, icewm-gnome
Autoreqprov:  on
Version:      1.0.8
Release:      59
Source:       http://download.sourceforge.net/icewm/icewm-%{version}-6.tar.bz2
Source1:      icewm-menu-translations.tar.bz2
Patch0:       icewm-%{version}-LANG.menu.patch
Patch1:       icewm-%{version}-NLS.patch
Patch2:       icewm-%{version}-config.patch
URL:          http://www.icewm.org/
Summary:      Windowmanager with Taskbar - lite version
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
%define prefix /usr/X11R6
#
#Sources are in package icewm.spm
NoSource:     0
NoSource:     1
NoPatch:      0
NoPatch:      1
NoPatch:      2

%description
Window Manager for X Window System. Can emulate the look of Windows'95,
OS/2 Warp 3,4, Motif. Tries to take the best features of the above systems.
Features multiple workspaces, opaque move/resize, task bar, window list,
mailbox status, digital clock. Fast and small.
This is the lite version with minimal features.

Authors:
--------
    Marko Macek <Marko.Macek@gmx.net>

SuSE series: xwm

%prep
%setup -n icewm-%{version} -b 0
%patch0 -p1
%patch1
%patch2

%build
cp /usr/share/automake/config.{guess,sub} .
autoconf
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --without-debug \
	    --sysconfdir=/etc \
            --prefix=%{prefix} \
	    --with-docdir=%{docdir} \
	    --disable-i18n \
	    --disable-nls \
	    --disable-guievents \
	    --with-xpm \
	    --without-gnome-menus
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
cd src
install icewm icewmhint icewmbg $RPM_BUILD_ROOT/usr/X11R6/bin

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/X11R6/bin/icewm
/usr/X11R6/bin/icewmhint
/usr/X11R6/bin/icewmbg

%changelog -n icewm-default
* Tue Aug 21 2001 - nadvornik@suse.cz
- sources marked nosource (they are in icewm.spm)
* Mon Aug 13 2001 - nadvornik@suse.cz
- compiled with g++ (now compiles on axp)
* Fri Aug 10 2001 - nadvornik@suse.cz
- splitted from icewm
%changelog -n icewm-lite
* Tue Aug 21 2001 - nadvornik@suse.cz
- sources marked nosource (they are in icewm.spm)
* Mon Aug 13 2001 - nadvornik@suse.cz
- compiled with g++ (now compiles on axp)
* Fri Aug 10 2001 - nadvornik@suse.cz
- splitted from icewm
%changelog -n icewm
* Mon Aug 13 2001 - nadvornik@suse.cz
- compiled with g++ (now compiles on axp)
* Fri Aug 10 2001 - nadvornik@suse.cz
- update to 1.0.8
- created packages icewm-gnome, icewm-default,
  icewm-lite [bug #5692]
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Wed Mar 21 2001 - ro@suse.de
- added esound-devel to neededforbuild
* Tue Feb 20 2001 - uli@suse.de
- fixed for new glibc
* Fri Jan 26 2001 - mfabian@suse.de
- fixed broken German and Russian translations
  they were broken because they had been saved in iso-2022.
- added Japanese and German translations for the menus.
* Fri Jan 26 2001 - violiet@suse.de
- added patch to enable NLS (Native Language Support).
  This patch adds --enable-nls to configure, adds bindtextdomain()
  and textdomain() calls, replaces regular strings with strings
  translatable by gettext and adds po files for de, ja, ko, ru,
  and zh_TW.Big5.
- added patch to load translated menus from files with a locale
  suffix, e.g. menu.ko, menu.ja ...
- added Korean translations for menus
* Tue Nov 28 2000 - grimmer@suse.de
- removed icewm-themes-0.9.42.tar.gz from package
- moved system-wide configuration files to /etc/X11/icewm
  for better FHS compliance
- removed symlink needed for the old susewm
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Wed Jun 28 2000 - grimmer@suse.de
- Update to 1.0.4
* Tue Jun 06 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Mon Mar 27 2000 - grimmer@suse.de
- update to 1.0.3
* Thu Mar 16 2000 - grimmer@suse.de
- update to 1.0.2
- added BuildRoot
* Wed Jan 26 2000 - grimmer@suse.de
- new version (1.0.1)
- specfile cleanups (version-macro, added more docu)
- activated imlib- and i18n-support
* Mon Jan 03 2000 - grimmer@suse.de
- new version (1.0.0)
* Wed Dec 22 1999 - grimmer@suse.de
- new version (0.9.55)
- specfile cleanups
* Tue Dec 07 1999 - grimmer@suse.de
- new version (0.9.53) - bugfixes, new features
* Wed Nov 17 1999 - grimmer@suse.de
- new version (0.9.50)
- added GNOME-support
* Sun Oct 10 1999 - grimmer@suse.de
- new version (0.9.49) - bugfixes, new features
* Mon Sep 20 1999 - ro@suse.de
- added Provides windowmanager
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - grimmer@suse.de
- new version (0.9.48) - bugfixes, new features
* Wed Aug 18 1999 - bs@suse.de
- added Check.
* Wed Aug 18 1999 - grimmer@suse.de
- new version (0.9.46) - bugfixes
* Wed Jun 16 1999 - grimmer@suse.de
- new version (0.9.42) - bugfixes
- added themes package for enhanced pleasure
* Fri May 28 1999 - grimmer@suse.de
- new version (0.9.41) - bugfixes
- minor specfile-updates (now uses configure instead of config)
- removed patch, since configure now handles the path names
- added genpref binary to RPM (generates sample config file)
* Tue Apr 13 1999 - grimmer@suse.de
- new version (0.9.37) - bugfixes, new features
* Tue Mar 16 1999 - grimmer@suse.de
- created symlink to menu (needed for susewm)
* Thu Feb 18 1999 - grimmer@suse.de
- new version (0.9.33) - bugfixes
* Wed Jan 27 1999 - grimmer@suse.de
- new version (0.9.30) - bugfixes, new features
* Sun Nov 15 1998 - grimmer@suse.de
- new version (0.9.17) - bugfixes
- added HTML documentation
- specfile fixes
* Fri Jul 03 1998 - maddin@suse.de
- first S.u.S.E. Version 0.9.8
